Skip to content

Google Patent Details API ​

prod-global
GET
/api/v1/google/patents/details
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...

Get Google patent Details data, including abstracts, claims, and legal status, for patent review and IP due diligence.

Tags: Google Patent

Parameters ​

NameRequiredTypeDefaultDescription
patent_idYesstringThe unique Google Patent ID (e.g., 'US1234567B1').
languageNostringenSet the language for the results using its two-letter code (e.g., 'en' for English, 'fr' for French). See Google Language.
htmlNobooleanfalseSet to true to return the raw HTML of the Google search results page alongside the structured data.

Copy Request ​

bash
curl -X GET "https://api.justserpapi.com/api/v1/google/patents/details?patent_id=YOUR_VALUE" \
  -H "X-API-Key: YOUR_API_KEY"
js
const res = await fetch("https://api.justserpapi.com/api/v1/google/patents/details?patent_id=YOUR_VALUE", {
  headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);
python
import requests

url = "https://api.justserpapi.com/api/v1/google/patents/details"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
  "patent_id": "YOUR_VALUE"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
php
<?php
$url = "https://api.justserpapi.com/api/v1/google/patents/details?patent_id=YOUR_VALUE";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/patents/details?patent_id=YOUR_VALUE", nil)
	req.Header.Set("X-API-Key", "YOUR_API_KEY")
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}

Response ​

Loading the latest response example...